from rest_framework import routers, viewsets, serializers

from tickets.models import IssueThread
from notify_sessions.models import SystemEvent


class SystemEventSerializer(serializers.ModelSerializer):
    class Meta:
        model = SystemEvent
        fields = '__all__'


class SystemEventViewSet(viewsets.ModelViewSet):
    serializer_class = SystemEventSerializer
    queryset = SystemEvent.objects.all()


router = routers.SimpleRouter()
router.register(r'systemevents', SystemEventViewSet, basename='systemevents')

urlpatterns = router.urls
